ChannelNioSocket.SocketConnection (Tomcat API Documentation)
Keywords: org.apache.jk.common.ChannelNioSocket.SocketConnection class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class ChannelNioSocket.SocketConnection

    java.lang.Object
      org.apache.jk.common.ChannelNioSocket.SocketConnection

All Implemented Interfaces:
  ThreadPoolRunnable

Enclosing class:
  ChannelNioSocket

    protected class ChannelNioSocket.SocketConnection

extends java.lang.Object
implements ThreadPoolRunnable

Method Summary
`java.lang.Object[]` | `getInitData()` Called when this object is first loaded in the thread pool.
`boolean` | `isRunning()`
`void` | `runIt(java.lang.Object[] perTh)` This method will be executed in one of the pool's threads.
`void` | `setFinished()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInitData

    public java.lang.Object[] getInitData()

  Description copied from interface: `ThreadPoolRunnable`
  Called when this object is first loaded in the thread pool. Important: all workers in a pool must be of the same type, otherwise the mechanism becomes more complex.

  Specified by:
    `getInitData` in interface `ThreadPoolRunnable`

### runIt

    public void runIt(java.lang.Object[] perTh)

  Description copied from interface: `ThreadPoolRunnable`
  This method will be executed in one of the pool's threads. The thread will be returned to the pool.

  Specified by:
    `runIt` in interface `ThreadPoolRunnable`

### isRunning

    public boolean isRunning()

### setFinished

    public void setFinished()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.